mod_rails and fastcgi questions

Originally, I had rails running under apache with fastcgi.

I just recently successfully installed mod_rails and updated my apache
httpd.conf file with the correct configuration but kept my virtual host
the same.

i'm a little confused about a couple things here though:

-does fastcgi need to be installed to run a mod_rails instance?

-how can i tell if i am actually using mod rails or just running under
fastcgi?

Scott Kulik wrote:

Originally, I had rails running under apache with fastcgi.

I just recently successfully installed mod_rails and updated my apache
httpd.conf file with the correct configuration but kept my virtual host
the same.

i'm a little confused about a couple things here though:

-does fastcgi need to be installed to run a mod_rails instance?

-how can i tell if i am actually using mod rails or just running under
fastcgi?

do:

curl --head http://yourwebsitename

You should have

X-Powered-By: Phusion Passenger (mod_rails/mod_rack) 1.1.0

or similar if mod_rails is being used :slight_smile:

do:

curl --head http://yourwebsitename

You should have

X-Powered-By: Phusion Passenger (mod_rails/mod_rack) 1.1.0

or similar if mod_rails is being used :slight_smile:

hmm...

here is the ouptut

curl --head http://wl.kuliksco.com

HTTP/1.1 200 OK
Server: Apache/2.0.52 (Red Hat)
Last-Modified: Sat, 10 May 2008 23:13:40 GMT
ETag: "7c39c-1d85-77085100"
Accept-Ranges: bytes
Content-Length: 7557
Connection: close
Content-Type: text/html; charset=UTF-8

i noticed there were still lots of fastcgi processes so i killed them
all and restarted apache. now the only ruby process is:

/usr/local/lib/ruby/gems/1.8/gems/passenger-2.0.1/ext/apache2/ApplicationPoolServerExecutable
0
/usr/local/lib/ruby/gems/1.8/gems/passenger-2.0.1/bin/passenger-spawn-server
/usr/local/bin/ruby /tmp/passenger_status.2744.fifo

and the website is working so i'm assuming everything is working.